[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.MouseUp

Highlights the selected text in the control when the left mouse button is released.

## Declaration

Source position: stdctrls.pp line 390

`protected procedure TCustomComboBox.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the notification.
`Shift` |  | Shift, Alt, or Ctrl modifier for the notification.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Description

MouseUp is an overridden method, and calls the inherited method on entry. MouseUp ensures that the selected text in the control is highlighted when the Left mouse button is released and AutoSelect is enabled. MouseUp calls SelectAll to select the value in the Text property in the edit box for the control. The value in AutoSelected is set to True.

No selection is performed in the method when AutoSelect is set to False.

## See also

TCustomComboBox.AutoSelect |  | Selects the entire content of the edit box when the control receives the focus.
TCustomComboBox.AutoSelected |  | True indicates that the selection was marked automatically by the control.
TCustomComboBox.SelectAll |  | Selects the text content in the edit box for the control.
TCustomComboBox.Text |  | The value in the edit box for the control.
TCustomComboBox.SelText |  | The selected text in the edit box for the control.
TCustomComboBox.SelStart |  | zero-based index to the UTF-8 character at the beginning of the selected text in the edit box.
TCustomComboBox.SelLength |  | The number of selected UTF-8 characters in the edit box.
TControl.MouseUp |  | Signals the OnMouseUp handler.